%define lib_major 1
%define lib_name %{name}%{lib_major}

Summary:	Type 1 font rasterizer
Name:		t1lib	
Version:	1.3.1	
Release:	3unl
URL:		http://freshmeat.net/projects/t1lib	
Source:		ftp://sunsite.unc.edu/pub/linux/libs/graphics/t1lib-1.3.1.tar.gz
Source1:	t1lib.config
Patch0:         %{name}-DESTDIR.patch.bz2
Patch1:		%{name}-doc.patch.bz2
Patch2:         %{name}-config.patch.bz2
Group:		System Environment/Libraries
BuildRequires:	XFree86-devel 
BuildRequires:	tetex-latex
# BuildRequires: xpm-devel
License:	LGPL
Prefix:		%{_prefix}
BuildRoot:	%{_tmppath}/%{name}-%{version}-%(id -u -n)

%description
T1lib is a library for generating character and string-glyphs from
Adobe Type 1 fonts under UNIX. T1lib uses most of the code of the X11
rasterizer donated by IBM to the X11-project. But some disadvantages
of the rasterizer being included in X11 have been eliminated.
T1lib also includes a support for antialiasing.

%package devel
Summary: 	Header files and static libraries for development	
Group: 		Development/Libraries
Requires: 	%{name} = %{version}-%{release}
%description devel
Static libraries and header files required for compiling packages
needing %{name}.

%prep
rm -rf "$RPM_BUILD_ROOT"

%setup -q
%patch0 -p1
%patch1 -p0
%patch2 -p0

%build
%configure
perl -pi -e 's,-DGLOBAL_CONFIG_DIR="\\"/usr/share/t1lib\\"",-DGLOBAL_CONFIG_DIR="\\"%{_sysconfdir}/t1lib\\"",;' Makefile
make without_doc
(cd doc
make clean
make pdf)

%install
install -d $RPM_BUILD_ROOT{%{_bindir},%{_datadir},%{_libdir},%{_includedir},%{_sysconfdir}}

%{__make} install DESTDIR="$RPM_BUILD_ROOT"

# Use premade t1lib.conf instead
rm -f $RPM_BUILD_ROOT%{_datadir}/t1lib/t1lib.config
install -m644 -D %SOURCE1 $RPM_BUILD_ROOT%{_sysconfdir}/t1lib/t1lib.config

# Is this needed anymore?
%ifarch alpha
(cd $RPM_BUILD_ROOT%{_libdir}
ln -sf libt1.so libt1.so.%{lib_major})
%endif

%post 	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%doc Changes LICENSE LGPL README.t1*
%config(noreplace) %{_sysconfdir}/t1lib/t1lib.config
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root)
%doc LGPL doc/t1lib_doc.pdf
%{_libdir}/lib*.so
%{_libdir}/lib*.*a
%{_includedir}/*

%changelog
* Tue May 21 2002 Rex Dieter <rdieter@unl.edu> 1.3.1-3unl
- rebuild for rh7.3

* Fri Mar 08 2002 Rex Dieter <rdieter@unl.edu> 1.3.1-3
- fixup URL: and Source:

* Wed Jan 02 2002 Rex Dieter <rdieter@unl.edu> 1.3.1-2
- move lib*.so to -devel pkg

* Tue Nov 21 2001 Rex Dieter <rdieter@unl.edu> 1.3.1-1
- TODO: xglyph doesn't seem to work
- TODO: need good default t1lib.config
- reverted rpm naming from t1lib1 to t1lib (for simplicity) 
- yank progs subpkg (though xglyph depends on X)
- update to 1.3.1
- start with shamelessly stolen t1lib-1.3-2mk.src.rpm

* Sun Oct 28 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.3-1mdk
- The all new-and-shiny t1lib 1.3.

* Wed Aug 15 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.2-2mdk
- removed .dvi.gz doc.
- removed .ps docs and unneded .eps files. All printable doc files
  now replaced with only one PDF doc file.

* Tue Aug 07 2001 Yves Duret <yduret@mandrakesoft.com> 1.2-1mdk
- version 1.2
- s{Serial}{Epoch} & s{Copyright}{License}
- updated url & source
- added Patch{0,1,2}
- fix buildrequires
- remove big, fussy and redundand pdf/ps doc (ghibo sux) : 
  size of devel rpm divided by more than 2 !

* Wed May 23 2001 Yves Duret <yduret@mandrakesoft.com> 1.1.1-2mdk
- more and more macros
- s{Copyright}{License}

* Sat May 05 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.1.1-1mdk
- updated to release 1.1.1 (bugfixes).

* Tue Mar 13 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.1.0-1mdk
- updated to release 1.1.0.
- gzip doc instead of bzip2.
- removed docdir patch.

* Wed Dec 27 2000 Yves Duret <yduret@mandrakesoft.com> 1.0.1-6mdk
- added a obsoletes -devel tag.

* Tue Dec 26 2000 Yves Duret <yduret@mandrakesoft.com> 1.0.1-5mdk
- splitted into main deval and progs packages.
- config file now in /etc as it should be
- used bzip2 instead of gzip for doc
- macros

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0.1-4mdk
- automatically added BuildRequires

* Fri Jul 28 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-3mdk
- BM + macroszification

* Tue May 16 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.1-2mdk
- Move .so from devel to package and add some links for alpha.

* Sat Apr 01 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.0.1-1mdk
- updated to version 1.0.1.
- moved .so file to devel package.
- exchanged package group between main and -devel packages.

* Thu Mar 23 2000 Daouda Lo <daouda@mandrakesoft.com> 0.9.2-3mdk
- fix group.

* Thu Jan 13 2000 Pixel <pixel@mandrakesoft.com>
- libtoolize --force.

* Sat Oct 30 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- updated to version 0.9.2.

* Thu Aug 12 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- added PostScript documentation.
- split into main and devel package.

* Sun Aug 1 1999 Richard D. Jackson <richardj@1gig.net>
- first release of t1lib-0.9.1
